Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
GET https://api.ap1.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.ap2.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.datadoghq.eu/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.ddog-gov.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.us2.ddog-gov.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.uk1.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.us3.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/statushttps://api.us5.datadoghq.com/api/v2/data-observability/monitors/runs/{run_id}/status
Overview
Retrieves the current status of a data observability monitor run. Poll this endpoint after triggering a run to determine when evaluation is complete.
OAuth apps require the data_observability_monitors_write, monitors_write authorization scope to access this endpoint.
Arguments
Path Parameters
The ID of the monitor run to retrieve status for.
Response
OK
The response for getting the status of a data observability monitor run.
Expand All
The data object for a data observability monitor run status response.
The attributes of a data observability monitor run status response.
Error message describing why the monitor run failed. Only present when status is error.
The status of a data observability monitor run.
Allowed enum values: pending,ok,warn,alert,error
The unique identifier of the monitor run.
The JSON:API resource type for a data observability monitor run.
Allowed enum values: monitor_run
default: monitor_run
{
"data": {
"attributes": {
"error_message": "run completed but produced no metric data",
"status": "pending"
},
"id": "abc123def456",
"type": "monitor_run"
}
}
Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Code Example
# Path parameters
export run_id="abc123def456"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/data-observability/monitors/runs/${run_id}/status" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"